<?php 

// $Id: flvmediaplayer_menu.inc,v 1.1.2.1 2008/11/06 14:21:51 arthuregg Exp $

/**
 * Implementation of hook_menu().
 * called from flvmediaplayer_menu()
 *
 * @param boolean $may_cache
 * @return array
 */
function flvmediaplayer_menu_inc($may_cache) {
  $items = array();

  if ($may_cache) {
    // default page
    $items[] = array (
      'path' => 'admin/settings/flvmediaplayer',
      'title' => t('FLV Media Player settings'),
      'description' => t('Settings for the FLV Media Player.'),
      'callback' => 'drupal_get_form',
      'callback arguments' => array('flvmediaplayer_admin_settings'),
      'access' => user_access('administer flvmediaplayer'),
    );

    $items[] = array (
      'path' => 'admin/settings/flvmediaplayer/default',
      'title' => t('FLV Media Player settings'),
      'description' => t('Settings for the FLV Media Player.'),
      'callback' => 'drupal_get_form',
      'callback arguments' => array('flvmediaplayer_admin_settings'),
      'access' => user_access('administer flvmediaplayer'),
      'type' => MENU_DEFAULT_LOCAL_TASK,
    );

    // profiles
    $items[] = array (
      'path' => 'admin/settings/flvmediaplayer/profiles',
      'title' => t('Profiles'),
      'description' => t('Profiles for FLV Media Player.'),
      'callback' => 'flvmediaplayer_admin_profiles',
      'access' => user_access('administer flvmediaplayer'),
      'type' => MENU_LOCAL_TASK,
    );
  }

  // export pages
  $items[] = array(
    'path' => 'admin/settings/flvmediaplayer/export',
    'callback' => 'drupal_get_form',
    'callback arguments' => array('flvmediaplayer_export_form', arg(4)),
    'access' => user_access('administer flvmediaplayer'),
    'type' => MENU_LOCAL_TASK,
    'title' => t('Export'),
    'description' => t('Export flvmediaplayer profile'),
    'weight' => 9
  );

  // export pages
  $items[] = array(
    'path' => 'admin/settings/flvmediaplayer/import',
    'callback' => 'drupal_get_form',
    'callback arguments' => array('flvmediaplayer_import_form', arg(4)),
    'access' => user_access('administer flvmediaplayer'),
    'type' => MENU_LOCAL_TASK,
    'title' => t('Import'),
    'description' => t('Import flvmediaplayer profile'),
    'weight' => 9
  );

  // external configuration page
  $items[] = array (
    'path' => 'flvmediaplayer',
    'callback' => 'flvmediaplayer_config_xml_page',
    'access' => user_access('content'),
    'type' => MENU_CALLBACK,
  );

  return $items;
}